Page MenuHomePhabricator

group-scholarships access for MarcoAurelio
Closed, ResolvedPublicRequest

Description

In order to help out when translations get blocked by CI I'd like to be added to https://gerrit.wikimedia.org/r/#/admin/groups/686,members so I can help it out there. See for example https://gerrit.wikimedia.org/r/#/c/wikimedia/wikimania-scholarships/+/498040/ and https://gerrit.wikimedia.org/r/#/c/wikimedia/wikimania-scholarships/+/497241/ for these type of changes. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 11:00 AM
MarcoAurelio changed the subtype of this task from "Task" to "Administrative Request".Mar 21 2019, 11:01 AM
mmodell added a subscriber: mmodell.

I don't know who should respond here, however, +1 from me.

I don't know who should respond here, however, +1 from me.

Thank you for your support. According to the newly gerrit privilege policy, this requires a task, waiting one week and if there's no objections a Gerrit Admin can proceed to add the requestor to the group.

As a maintainer of that repo, +1 from me too. Thanks @MarcoAurelio.

MarcoAurelio added subscribers: thcipriani, hashar.EditedMar 30 2019, 12:42 PM

Per https://tools.wmflabs.org/ldap/group/gerritadmin and current policy I'm poking @hashar and @thcipriani for a decision. Thanks.

I am poking again @hashar and @thcipriani as the only two people likely able to do this. The group is owned by the gerrit Administrators. Thank you.

Mentioned in SAL (#wikimedia-releng) [2019-04-03T06:13:57Z] <hashar> gerrit: renamed group "scholarships" to "wikimedia-wikimania-scholarships". Made it owned by "Gerrit Managers" # T218864

hashar added a comment.Apr 3 2019, 6:20 AM

I have changed the Gerrit group to be owned by Gerrit Managers instead of Administrators.

The project https://gerrit.wikimedia.org/r/#/admin/projects/wikimedia/wikimania-scholarships,access has an access list for the l10n-bot-watcher which can abandon changes and also override the Verified vote. Maybe that is a candidate group for you?

@hashar I'd prefer to be added as a project member as requested in this task. The l10n-bot-watcher project is for a very specific purpose. Thank you.

mmodell closed this task as Resolved.Apr 4 2019, 9:25 PM
mmodell claimed this task.